PUREMAGIC(1)

NAME
puremagic - pure-Python utility to identify a file based off its magic numbers

DESCRIPTION
usage: puremagic [-h] [-m] [-v] [-e EXTENSION] [--version] [files ...]

puremagic is a pure python file identification module. It looks for matching magic numbers in the file to locate the file type.

  positional arguments:

    files

  options:

-h, --help
    show this help message and exit

-m, --mime
    Return the mime type instead of file type

-v, --verbose
    Print verbose output

-e, --extension EXTENSION
    Look up MIME type for a file extension (e.g. pdf or .pdf)

--version
    show program's version number and exit